Edit

Workspaces - Get Workspace Encryption

Gets the workspace Customer-Managed Key (CMK) encryption settings.

Note

This API is part of a Preview release and is provided for evaluation and development purposes only. It may change based on feedback and is not recommended for production use.

Returns the CMK encryption settings and status for the specified workspace.

Permissions

The caller must have viewer or higher workspace role.

Required Delegated Scopes

Workspace.Read.All or Workspace.ReadWrite.All

Microsoft Entra supported identities

This API supports the Microsoft identities listed in this section.

Identity Support
User Yes
Service principal and Managed identities Yes

Interface

GET https://api.fabric.microsoft.com/v1/workspaces/{workspaceId}/encryption

URI Parameters

Name In Required Type Description
workspaceId
path True

string (uuid)

The workspace ID.

Responses

Name Type Description
200 OK

WorkspaceEncryptionDetail

Request completed successfully. If encryption is in progress, the response includes a Retry-After header.


Headers:

Retry-After integer - Indicates the number of seconds after which the client can retry to get the encryption status.

429 Too Many Requests

ErrorResponse

The service rate limit was exceeded. The server returns a Retry-After header indicating, in seconds, how long the client must wait before sending additional requests.

Headers

Retry-After: integer

Other Status Codes

ErrorResponse

Common error codes:

  • UnknownError - An error occurred.

Examples

Get workspace CMK encryption active example
Get workspace CMK encryption in progress example

Get workspace CMK encryption active example

Sample request

GET https://api.fabric.microsoft.com/v1/workspaces/47482db6-4583-4672-86dd-999d0f8f4d7a/encryption

Sample response

{
  "encryptionDetail": {
    "keyIdentifier": "https://westus07112025-cmktest1.vault.azure.net/keys/test2k/",
    "encryptionStatus": "Active"
  }
}

Get workspace CMK encryption in progress example

Sample request

GET https://api.fabric.microsoft.com/v1/workspaces/47482db6-4583-4672-86dd-999d0f8f4d7a/encryption

Sample response

Retry-After: 900
{
  "encryptionDetail": {
    "keyIdentifier": "https://westus07112025-cmktest1.vault.azure.net/keys/test2k/",
    "encryptionStatus": "EnableInProgress"
  },
  "previousEncryptionDetail": {
    "keyIdentifier": "https://westus07112025-cmktest1.vault.azure.net/keys/key1/",
    "encryptionStatus": "Active"
  },
  "workspaceEncryptionItemsDetails": [
    {
      "items": [
        {
          "displayName": "copyjob1",
          "type": "CopyJob",
          "id": "9d922047-55a9-4737-8ec0-f34a320100bc"
        },
        {
          "displayName": "copyjob2",
          "type": "CopyJob",
          "id": "8d022047-55a9-4737-8ec0-f34a320100b7"
        }
      ],
      "encryptionStatus": "EnableInProgress"
    }
  ]
}

Definitions

Name Description
EncryptionDetail

Workspace encryption details.

ErrorRelatedResource

The error related resource details object.

ErrorResponse

The error response.

ErrorResponseDetails

The error response details.

WorkspaceEncryptionDetail

Workspace encryption settings and status details.

WorkspaceEncryptionItem

Workspace item details.

WorkspaceEncryptionItemsDetail

Encryption status details for items in the workspace.

WorkspaceEncryptionStatus

The workspace encryption status.

EncryptionDetail

Workspace encryption details.

Name Type Description
encryptionStatus

WorkspaceEncryptionStatus

The workspace encryption status.

keyIdentifier

string

The key identifier.

ErrorRelatedResource

The error related resource details object.

Name Type Description
resourceId

string

The resource ID that's involved in the error.

resourceType

string

The type of the resource that's involved in the error.

ErrorResponse

The error response.

Name Type Description
errorCode

string

A specific identifier that provides information about an error condition, allowing for standardized communication between our service and its users.

isRetriable

boolean

When true, the request can be retried. Use the Retry-After response header to determine the delay, if available.

message

string

A human readable representation of the error.

moreDetails

ErrorResponseDetails[]

List of additional error details.

relatedResource

ErrorRelatedResource

The error related resource details.

requestId

string (uuid)

ID of the request associated with the error.

ErrorResponseDetails

The error response details.

Name Type Description
errorCode

string

A specific identifier that provides information about an error condition, allowing for standardized communication between our service and its users.

message

string

A human readable representation of the error.

relatedResource

ErrorRelatedResource

The error related resource details.

WorkspaceEncryptionDetail

Workspace encryption settings and status details.

Name Type Description
encryptionDetail

EncryptionDetail

The workspace encryption detail.

previousEncryptionDetail

EncryptionDetail

The previous workspace encryption detail.

workspaceEncryptionItemsDetails

WorkspaceEncryptionItemsDetail[]

The encryption status of items in the workspace.

WorkspaceEncryptionItem

Workspace item details.

Name Type Description
displayName

string

The item display name.

id

string (uuid)

The item Id.

type

string

The item type.

WorkspaceEncryptionItemsDetail

Encryption status details for items in the workspace.

Name Type Description
encryptionStatus

WorkspaceEncryptionStatus

The encryption status for the items.

items

WorkspaceEncryptionItem[]

The array of workspace item details.

WorkspaceEncryptionStatus

The workspace encryption status.

Value Description
Disabled

Workspace encryption is not active.

Active

Workspace encryption is active and the workspace is encrypted.

EnableInProgress

Workspace encryption is enabling.

DisableInProgress

Workspace encryption is disabling.

Failed

Workspace encryption application failed.